## net.sf.saxon.value
Class NotationValue

    java.lang.Object
      |
      +--net.sf.saxon.value.Value
            |
            +--net.sf.saxon.value.AtomicValue
                  |
                  +--net.sf.saxon.value.QNameValue
                        |
                        +--net.sf.saxon.value.NotationValue

All Implemented Interfaces:
  Expression, Item, java.io.Serializable

public final class NotationValue
extends QNameValue

An xs:NOTATION value.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`NotationValue(NamePool namePool, int nameCode)`
`NotationValue(java.lang.String prefix, java.lang.String uri, java.lang.String localName)` Constructor

Method Summary
`AtomicValue` `convert(int requiredType, XPathContext context)` Convert to target data type
`ItemType` `getItemType()` Return the type of the expression
`java.lang.String` `toString()` The toString() method returns the name in the form QName("uri", "local")

Methods inherited from class net.sf.saxon.value.QNameValue
`convertToJava, equals, getClarkName, getComponent, getLocalName, getNamespaceURI, getStringValue, hashCode`

Methods inherited from class net.sf.saxon.value.AtomicValue
`convert, display, effectiveBooleanValue, evaluateAsString, evaluateItem, getCardinality, getImplementationMethod, getPrimitiveValue, getTypedValue, iterate, process`

Methods inherited from class net.sf.saxon.value.Value
`analyze, asItem, asValue, collapseWhitespace, convertJavaObjectToXPath, getDependencies, getParentExpression, getSpecialProperties, inverse, iterateSubExpressions, normalizeWhitespace, promote, simplify, stringToNumber, trimWhitespace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotationValue

    public NotationValue(NamePool namePool,
                         int nameCode)

### NotationValue

    public NotationValue(java.lang.String prefix,
                         java.lang.String uri,
                         java.lang.String localName)
                  throws XPathException

  Constructor

Parameters:
  `prefix` - The prefix part of the QName (not used in comparisons). Use null or "" to represent the default prefix.
  `uri` - The namespace part of the QName. Use null or "" to represent the null namespace.
  `localName` - The local part of the QName

Method Detail

### convert

    public AtomicValue convert(int requiredType,
                               XPathContext context)
                        throws XPathException

  Convert to target data type

  Overrides:
    `convert` in class `QNameValue`
  Parameters:
    `requiredType` - an integer identifying the required atomic type
  Returns:
    an AtomicValue, a value of the required type
  Throws:
    `XPathException` - if the conversion is not possible

### getItemType

    public ItemType getItemType()

  Return the type of the expression

  Specified by:
    `getItemType` in interface `Expression`
  Overrides:
    `getItemType` in class `QNameValue`
  Returns:
    Type.NOTATION (always)

### toString

    public java.lang.String toString()

  The toString() method returns the name in the form QName("uri", "local")

  Overrides:
    `toString` in class `QNameValue`
  Returns:
    the name in Clark notation: {uri}local